/*
 * $Id: ProfileMgrWebImpl.java,v 1.14 2000/10/04 17:24:58 lblair Exp $
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.petstore.control.web;

import com.sun.j2ee.blueprints.petstore.personalize.profilemgr.model.ProfileMgrModel;
import com.sun.j2ee.blueprints.petstore.personalize.profilemgr.ejb.ProfileMgr;
import com.sun.j2ee.blueprints.petstore.control.web.ModelManager;
import com.sun.j2ee.blueprints.petstore.control.web.ModelUpdateListener;
import com.sun.j2ee.blueprints.petstore.util.JNDINames;
import com.sun.j2ee.blueprints.petstore.util.EJBUtil;

import java.rmi.RemoteException;
import com.sun.j2ee.blueprints.petstore.control.GeneralFailureException;

/**
 * This class is the web-tier representation of the ProfileMgr.
 */
public class ProfileMgrWebImpl extends ProfileMgrModel
    implements ModelUpdateListener {

    private ModelManager mm;
    private ProfileMgr proEjb;

    public ProfileMgrWebImpl(ModelManager mm) {
        super(null, null);
        this.mm = mm;
        mm.addListener(JNDINames.PROFILEMGR_EJBHOME, this);
    }

    public ProfileMgrWebImpl() {
        super();
        // do nothing.  used for JSP useBean directive.
    }

    public void performUpdate() {
        // Get data from the EJB
        if (proEjb == null) {
            proEjb = mm.getProfileMgrEJB();
        }
        try {
            if (proEjb != null) copy(proEjb.getDetails());
        } catch (RemoteException re) {
            throw new GeneralFailureException(re.getMessage());
        }
    }

    public String getBanner(String favCategory) throws Exception{
        ProfileMgrModel proMod = new ProfileMgrModel();
        return proMod.getBanner(favCategory);
    }

}



