/*
 * $Id: EJBUtil.java,v 1.2 2000/09/20 04:34:27 brydon Exp $
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.petstore.personalize.util;

import java.rmi.RemoteException;
import javax.rmi.PortableRemoteObject;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.ejb.CreateException;

import com.sun.j2ee.blueprints.shoppingcart.catalog.ejb.CatalogHome;
import com.sun.j2ee.blueprints.petstore.personalize.profilemgr.ejb.ProfileMgrHome;

/**
 * This is a utility class for obtaining EJB references.
 */
public final class EJBUtil {

    public static ProfileMgrHome getProfileMgrHome() throws NamingException {
            InitialContext initial = new InitialContext();
            Object objref = initial.lookup(JNDINames.PROFILE_EJBHOME);
            return (ProfileMgrHome)
                PortableRemoteObject.narrow(objref, ProfileMgrHome.class);
    }

    public static CatalogHome getCatalogHome() throws NamingException {
            InitialContext initial = new InitialContext();
            Object objref = initial.lookup(JNDINames.CATALOG_EJBHOME);
            return (CatalogHome)
                PortableRemoteObject.narrow(objref, CatalogHome.class);
    }

}
