/*
 * $Id: ExplicitInformation.java,v 1.4 2000/09/21 01:53:39 brydon Exp $
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.petstore.personalize.util;

import java.io.Serializable;

/**
 * This class encapsulates all the data needed to
 * identify a user's explicit personalization
 * information.
 */

public class ExplicitInformation implements Serializable{

    private String langPref;
    private String favCategory;
    private boolean myListOpt;
    private boolean bannerOpt;

    /**
     * Default Constructor
     */
    public ExplicitInformation(String langPref,
                String favCategory,
                boolean myListOpt,
                boolean bannerOpt){

        this.langPref = langPref;
        this.favCategory = favCategory;
        this.myListOpt = myListOpt;
        this.bannerOpt = bannerOpt;
    }

    public String getLangPref(){
        return langPref;
    }

    public String getFavCategory(){
        return favCategory;
    }

    public boolean getMyListOpt(){
        return myListOpt;
    }

    public boolean getBannerOpt(){
        return bannerOpt;
    }

    public String toString(){
        return "[langPref=" + langPref +
            ",  favCatetory=" + favCategory +
            ", myListOpt=" + myListOpt +
            ", bannerOpt=" + bannerOpt +  "]";
    }
}
