/*
 * $Id: ProductItemListTag.java,v 1.1 2000/10/05 01:51:33 gmurray Exp $
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.petstore.taglib.list;

import java.util.Collection;
import java.util.Locale;

import com.sun.j2ee.blueprints.shoppingcart.util.Debug;
import com.sun.j2ee.blueprints.petstore.control.web.ProfileMgrWebImpl;
import com.sun.j2ee.blueprints.petstore.personalize.util.ExplicitInformation;
import com.sun.j2ee.blueprints.shoppingcart.catalog.model.ListChunk;
import com.sun.j2ee.blueprints.petstore.control.web.CatalogWebImpl;
import com.sun.j2ee.blueprints.petstore.control.web.AccountWebImpl;
import com.sun.j2ee.blueprints.petstore.util.WebKeys;

/*
 * ProductItemsListTag
 * ---------
 * Extends the list tag.  Fetches a list of products from the ProfileMgr bean.
 * Should be used in conjunction with ProductAttributeTags.
 */
public class ProductItemListTag extends ListTag {

  private boolean hasNext = false;
  private boolean hasPrev = false;
  private String productId = null;
  private String emptyListString = "No Products";

  protected void initParamPrefix() {
    paramPrefix = "productItemList_";
  }

  protected Collection findCollection() {
    CatalogWebImpl catalog =
      (CatalogWebImpl) pageContext.getServletContext().getAttribute(WebKeys.CatalogModelKey);
    if (catalog == null) {
        return null;
    }
    Locale locale = (Locale)pageContext.getSession().getAttribute(WebKeys.LanguageKey);
    if (locale == null) locale = Locale.US;
    ListChunk itemList = null;
    Collection items = null;
    itemList = catalog.getItems(productId, startIndex-1, numItems, locale);
    items = itemList.getCollection();
    if ((startIndex -1 + items.size()) < itemList.getTotalCount()) hasNext = true;
    else hasNext = false;
    return(items);
  }

  protected boolean needsNextForm() {
    return hasNext;
  }

  protected boolean needsPrevForm() {
    return hasPrev;
  }

  // setters (overloaded )
  public void setNumItems(String numItemsStr) {
    super.setNumItems(numItemsStr);
  }

  public void setStartIndex(String startIndexStr) {
    super.setNumItems(startIndexStr);
  }

  public void setProductId(String productId) {
    this.productId = productId;
  }

  public void setEmptyList(String emptyListString) {
    this.emptyListString = emptyListString;
  }

  public int doEndTag() {
    try {
        if (collection == null ||
             ((collection != null) && collection.size() == 0))pageContext.getOut().println(emptyListString);
    } catch (java.io.IOException ex) {
        Debug.println("ProductItemListTag caught: " + ex);
    }
    return(EVAL_PAGE);
  }
}





