/*
 * $Id: AdminClientControllerEJB.java,v 1.4 2000/10/09 02:00:31 lblair Exp $
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.petstoreadmin.control.ejb;

import javax.rmi.PortableRemoteObject;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import java.util.Collection;
import java.util.ArrayList;
import java.util.Iterator;
import java.rmi.RemoteException;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import javax.ejb.EJBException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;

import com.sun.j2ee.blueprints.petstoreadmin.control.ejb.AdminOrderDAO;
import com.sun.j2ee.blueprints.petstoreadmin.control.ejb.AdminOrderDAOException;

public class AdminClientControllerEJB implements SessionBean {

    private SessionContext sc;
    private AdminOrderDAO admDAO = null;

    public AdminClientControllerEJB() {}

    public void ejbCreate() {}

    public void setSessionContext(SessionContext sc) {
        this.sc = sc;
    }

    public void ejbRemove() {}

    public void ejbActivate() {}

    public void ejbPassivate() {}

    private void getAdminDAO() {
        try {
            admDAO = new AdminOrderDAO();
        } catch(AdminOrderDAOException ae) {
            throw new EJBException(ae);
        }
    }

    public Collection getPendingOrders() {

        Collection orderColl = null;

        try {
            if(admDAO == null)
                getAdminDAO();
            orderColl = admDAO.getAllPendingOrders();
        } catch(AdminOrderDAOException ae) {
            throw new EJBException("ACCEJB: getOrders Exception" + ae);
        }
        return(orderColl);
    }

    public void setOrdersStatus(ArrayList ordersList) {

        try{
            String caller = sc.getCallerPrincipal().getName();
            if(caller.equals("admin")) {
                if(admDAO == null)
                    getAdminDAO();
                admDAO.setNewStatus(ordersList);
            } else {
                throw new EJBException("Caller is not an Administrator!");
            }
        } catch (AdminOrderDAOException ae) {
            throw new EJBException("AdminOrders: AdminOrderDAOException" + ae);
        }
    }
}
